﻿/*********************************************
 * waveファイルを出力するためのクラス
 *  開発者：Katsuhiro Morishita(2011.12) Kumamoto-University
 * 
 * [対応フォーマット]   8/16/24/32 bit ステレオ/モノラル　無圧縮リニアPCM
 * [名前空間]   WaveFile
 * [クラス名]   WaveWriter
 * 
 * [参考文献]   waveフォーマット：http://www.kk.iij4u.or.jp/~kondo/wave/
 *              リニアPCM       ：http://e-words.jp/w/E383AAE3838BE382A2PCM.html
 * 
 * [使用方法]   まず、プロジェクトに本ファイルとWaveBase.csを追加した後に、ソースヘッダに以下のコードを追加して下さい。
 *              using WaveFile;
 *              次に、任意のスコープ位置でクラスオブジェクトのインスタンスを生成します。コード例を以下に示す。
 *              usingを使いたくない場合でも名前空間から書き下せばOKです。
 *              例：WaveFile.WaveReader wave = new WaveFile.WaveReader()
 *              
 * 
 * [更新情報]   2011/12/5  開発開始。といっても、暫くは進める気なし。
*********************************************/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

/************************************************
 * Waveファイルを扱うクラスを集めた名前空間です。
 * **********************************************/
namespace WaveFile
{
    /// <summary>
    /// waveファイル作出のためのクラス
    /// </summary>
    public class WaveWriter : WaveBase
    {

    }
}
